Bug 830584 - [abrt] rhythmbox-2.96-3.fc17: gtk_widget_event_internal: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.96-3.fc17: gtk_widget_event_internal: Process /usr/bin/rhy...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:c7aa89a4227403f7817289abde6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 15:13 EDT by Jason Smith
Modified: 2013-07-31 16:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (146.66 KB, text/plain)
2012-06-10 15:13 EDT, Jason Smith
no flags Details
File: event_log (20.18 KB, text/plain)
2012-06-10 15:14 EDT, Jason Smith
no flags Details
File: backtrace (201.96 KB, text/plain)
2012-06-10 15:14 EDT, Jason Smith
no flags Details
File: maps (113.67 KB, text/plain)
2012-06-10 15:14 EDT, Jason Smith
no flags Details
File: dso_list (24.58 KB, text/plain)
2012-06-10 15:14 EDT, Jason Smith
no flags Details
File: build_ids (9.37 KB, text/plain)
2012-06-10 15:14 EDT, Jason Smith
no flags Details

  None (edit)
Description Jason Smith 2012-06-10 15:13:56 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: gtk_widget_event_internal
executable:     /usr/bin/rhythmbox
kernel:         3.4.0-1.fc17.x86_64
pid:            1525
pwd:            /home/jason
time:           Sun 10 Jun 2012 02:48:08 PM EDT
uid:            1000
username:       jason

backtrace:      Text file, 206804 bytes
build_ids:      Text file, 9594 bytes
core_backtrace: Text file, 150184 bytes
dso_list:       Text file, 25173 bytes
event_log:      Text file, 20665 bytes
maps:           Text file, 116401 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jason/2

comment:
:This error occurred while streaming Radio.FM, Rythmnbox will play stream for approximately 30 seconds before crashing.
:
:How to Reproduce:  Play any Radio.FM stream
:Expected Result:  To use Radio.FM streams without crashing.

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=crestuspc.smithdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/jason/keyring-fzF5Ud
:IMSETTINGS_MODULE=none
:USER=jason
:USERNAME=jason
:MAIL=/var/spool/mail/jason
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/jason/.local/bin:/home/jason/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/jason
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1099
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/jason
:SHLVL=1
:LOGNAME=jason
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-bvosLtecr0,guid=1eeaa68f4c22118b931708b900000084
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jason
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-jason-EfThkY/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1101,unix/unix:/tmp/.ICE-unix/1101
:SSH_AUTH_SOCK=/run/user/jason/keyring-fzF5Ud/ssh
:GPG_AGENT_INFO=/run/user/jason/keyring-fzF5Ud/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1525
:DESKTOP_STARTUP_ID=gnome-shell-1306-crestuspc.smithdomain-rhythmbox-1_TIME239109

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30187                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30187                30187                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/jason/.xsession-errors
:2:/home/jason/.xsession-errors
:3:anon_inode:[eventfd]
:4:socket:[23575]
:5:socket:[23285]
:6:socket:[23286]
:7:anon_inode:[eventfd]
:8:socket:[23287]
:9:anon_inode:[eventfd]
:10:anon_inode:[eventfd]
:11:anon_inode:[eventfd]
:12:socket:[23580]
:13:/home/jason/.cache/rhythmbox/album-art/store.tdb
:14:socket:[23584]
:15:socket:[23591]
:16:/tmp/ffiYqbGRI (deleted)
:17:socket:[23303]
:18:socket:[23304]
:19:socket:[23771]
:20:anon_inode:[eventfd]
:21:anon_inode:inotify
:22:anon_inode:[eventfd]
:23:socket:[23420]
:24:socket:[23421]
:25:pipe:[23422]
:26:pipe:[23422]
:27:socket:[23426]
:28:anon_inode:[eventfd]

smolt_data:
:
:
:General
:=================================
:UUID: 5c165096-0c7b-4f56-863e-2c7f51fa3cab
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3989.60
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T6400  @ 2.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 3794
:System Swap: 0
:Vendor: Acer
:System: Aspire 6930 Not Applicable
:Form factor: Other
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:16946:32902:4609) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:10550:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10544:4133:350) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(6505:4134:4133:350) pci, ATL1E, ETHERNET, AR8121/AR8113/AR8114 Gigabit or Fast Ethernet
:(32902:10818:4133:350) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4133:350) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4133:350) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10521:4133:350) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(32902:10558:4133:350) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10537:4133:350) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10548:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10549:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9288:4133:350) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10566:4133:350) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10551:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4133:350) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10570:4133:350) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(32902:10553:4133:350) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4133:350) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4133:350) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_crestuspc-lv_root / ext4 4096 4096 13092026 11385580 11254530 3276800 3122533 3122533
:/dev/sda2 /boot ext4 1024 1024 508745 423734 398134 128016 127660 127660
:/dev/mapper/vg_crestuspc-lv_home /home ext4 4096 4096 63332473 62336361 59166057 15851520 15850264 15850264
:

var_log_messages:
:Jun 10 14:48:08 crestuspc kernel: [  350.386184] rhythmbox[1525]: segfault at 7fffb3a56ea8 ip 00007fc1d7e0d8a6 sp 00007fffb3a56e70 error 6 in libgobject-2.0.so.0.3200.3[7fc1d7de6000+4b000]
:Jun 10 14:48:10 crestuspc abrt[1566]: Saved core dump of pid 1525 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-06-10-14:48:08-1525 (184995840 bytes)

xsession_errors:
:(rhythmbox:1525): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:1525): GLib-GObject-CRITICAL **: g_value_get_uint: assertion `G_VALUE_HOLDS_UINT (value)' failed
:(rhythmbox:1525): GLib-CRITICAL **: g_variant_unref: assertion `value->ref_count > 0' failed
Comment 1 Jason Smith 2012-06-10 15:13:59 EDT
Created attachment 590779 [details]
File: core_backtrace
Comment 2 Jason Smith 2012-06-10 15:14:01 EDT
Created attachment 590780 [details]
File: event_log
Comment 3 Jason Smith 2012-06-10 15:14:03 EDT
Created attachment 590781 [details]
File: backtrace
Comment 4 Jason Smith 2012-06-10 15:14:04 EDT
Created attachment 590782 [details]
File: maps
Comment 5 Jason Smith 2012-06-10 15:14:06 EDT
Created attachment 590783 [details]
File: dso_list
Comment 6 Jason Smith 2012-06-10 15:14:07 EDT
Created attachment 590784 [details]
File: build_ids
Comment 7 Need Real Name 2012-08-12 15:01:11 EDT
I changed the volume with the speaker icon on the application, but the slider was not going away even as I clicked out of the slider. As I tried to see if menus were responding, the crash occured.

backtrace_rating: 4
Package: rhythmbox-2.97-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Fedora End Of Life 2013-07-03 16:34:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 16:42:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.